Actualización WordPress 4.7.3

1 Estrella2 Estrellas3 Estrellas4 Estrellas5 Estrellas (24 votes, average: 4,96 out of 5)

Hay una nueva actualización para nuestro motor favorito en la creación y puesta en marcha de páginas web, WordPress…¿otra? “Si lo actualicé hace un mes”..pues sí, otra nueva actualización, la tercera en los 3 meses que llevamos de año 2017. El 11 de enero actualizamos de la versión 4.7 a 4.7.1, el 26 de enero pasamos a la 4.7.2…y ya está aquí la actualización WordPress 4.7.3.

actualizar wordpress

¿No funcionaban correctamente las versiones anteriores?

De hecho sí que funcionaban correctamente y siguen funcionando todavía en muchos sitios web, incluso versiones anteriores; el motor WordPress es una máquina infatigable y bien engrasada que es capaz de hacer funcionar nuestra web aunque estemos utilizando una versión totalmente desfasada.

Entonces, ¿para qué cambiar?

Aunque como hemos comentado el motor WordPress es capaz de hacer funcionar nuestra web correctamente aunque esté totalmente desactualizado, el equipo de programación de Google detectó fallos de seguridad que hacían que las webs gestionadas por estas versiones fueran vulnerables a los ataques de piratería informática. En la versión 4.7.2 y anteriores se han detectado los siguientes fallos de seguridad, ya corregidos en la actual actualización WordPress  4.7.3:

  • Cross-site scripting (XSS) a través de metadatos de archivos multimedia.
  • Los caracteres de control pueden engañar a la validación de redirección de la URL.
  • Los administradores pueden borrar archivos sin querer al usar la funcionalidad de borrado de plugins.
  • Cross-site scripting (XSS) a través de la URL de videos de Youtube embebidos.
  • Cross-site scripting (XSS) a través de nombres de términos de taxonomías.
  • Cross-site request forgery (CSRF) en Publicar esto, que lleva a un consumo excesivo de recursos del servidor.

Esto hizo que las versiones 4.7.1 y 4.7.2 fueran especialmente vulnerables al defacement, habiendo un aumento significativo de webs hackeadas mediante defacement en enero; los datos apuntan a más de 100.000 webs hackeadas.

Además de estos problemas de seguridad revisados y reparados, la actual versión incorpora ajustes de mantenimiento en 39 áreas, mejorando su funcionamiento gracias al trabajo de muchos programadores que informaron de los problemas detectados mediante la llamada revelación responsable, permitiendo así que los bugs hayan podido ser corregidos antes de ser públicos.

¿Qué debo hacer?

Es bien sencillo, entra como administrador en tu wordpress y dale al botón de actualizar a la última versión. Todo debería funcionar bien y en cuestión de segundos tendrás tu sitio web actualizado y sin problemas.

Nosotros recomendamos, tanto si eres algo temeroso o no, o bien si tienes plugins que no están actualizados, que es fundamental hacer copia de seguridad de tu web antes de aventurarte a hacer cambios, o bien probar en local antes que en la versión definitiva. Como hemos comentado, no debería ocurrir nada extraño, de hecho estamos actualizando nuestras webs y todo funciona correctamente, pero si se da la circunstancia que no fuera así…a nadie le gusta que la web caiga. La mayoría de las veces todo funciona automáticamente sin problemas, pero la mayoría de incompatibilidades se dan debido a los plugins que tenemos instalados, que quizás dejan de ser compatibles o de funcionar correctamente con la nueva versión de wordpress.

PD: desde la publicación de este artículo WordPress se ha actualizado algunas veces más, mantente actualizado con este nuevo artículo de actualización de WordPress.

¿Puedo aumentar la seguridad en mi web?

Por supuesto, es más, te recomendamos que eches un vistazo a los diferentes firewall que existen para wordpress y que sea capaz de filtrar y bloquear el tráfico malicioso hacia tu web.

En un próximo artículo vamos a revisar los 100 mejores plugins para wordpress, allí podrás ver los firewall más recomendados.

Si tienes cualquier tipo de duda y desear resolverla no dudes en contactar con nosotros.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *